Ошибка в админке

На локалхосте ставлю новую версию. После установки дохожу до раздела 8 инструкции, получаю ошибку “Доступ для пользователя запрещен, нужно поставить галочку nexshops_cp.”

Админу в настройках доступа поставили галочку nexshops_cp?

Вообще, вылетает из любого пункта админки, не только из настроек шаблона. В админку вхожу, потом пытаюсь открыть любой пункт меню, выбрасывает опять на http://vam165/login.php

Архив с шаблоном сегодня скачивали?

Да, с час назад. В общем, это не столь важно, все равно я к вам в очередь записываюсь. У меня модули. то да се, сам не справлюсь. Просто хотел шаблон поюзать на компе.

Еще может быть из-за того что домен не настоящий.
Попробуйте поменять vam165 на vam165.lc и в файлах конфигурации соответственно поправьте.

Понял, попробую. А по шаблону на сайт, как дойдет очередь до меня, сообщите пожалуйста. Не горит, но и затягивать не хочется.

В очередь добавил, как подойдет, я обязательно напишу.
По смене названия папки отпишитесь по результату.

А если изменю на vam165.lc ключ подойдет?

Добавил vam165.lc к ключу

Все перенес на новый домен на локалхосте. Сейчас админка работает, но при “http://vam165.lc/admin/nexshops/” пустая страница

Удалите все в папке /admin/nexshops/cp/var/cache/prod/
и обновите страницу

А там пустая папка prod

Тогда в файле /admin/nexshops/index.php
заместо

error_reporting(0);
//ini_set('display_errors',1);
//error_reporting(E_ALL & ~E_NOTICE);

Вставьте

//error_reporting(0);
ini_set('display_errors',1);
error_reporting(E_ALL & ~E_NOTICE);

Обновите страницу и пришлите ошибку сюда

Fatal error : Uncaught TypeError: Return value of Symfony\Component\Dotenv\Dotenv::populate() must be an instance of Symfony\Component\Dotenv\void, none returned in D:\Open\OSPanel\domains\vam165.lc\admin\nexshops\cp\vendor\symfony\dotenv\Dotenv.php:145 Stack trace: #0 D:\Open\OSPanel\domains\vam165.lc\admin\nexshops\cp\vendor\symfony\dotenv\Dotenv.php(468): Symfony\Component\Dotenv\Dotenv->populate(Array, false) #1 D:\Open\OSPanel\domains\vam165.lc\admin\nexshops\cp\vendor\symfony\dotenv\Dotenv.php(50): Symfony\Component\Dotenv\Dotenv->doLoad(false, Array) #2 D:\Open\OSPanel\domains\vam165.lc\admin\nexshops\index.php(87): Symfony\Component\Dotenv\Dotenv->load(‘D:\Open\OSPanel…’) #3 {main} thrown in D:\Open\OSPanel\domains\vam165.lc\admin\nexshops\cp\vendor\symfony\dotenv\Dotenv.php on line 145

Версия php больше 7.1.3?

php

Минимальная версия php 7.1.3, поставьте php-7.1 или php-7.2

Понял. Чуть позже поставлю, отпишусь

Установил последний Openserver с версией php-7.1, ошибки пропали.

1 Симпатия